Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkImageTwoInputFilter Class Reference

`#include <vtkImageTwoInputFilter.h>`

Inheritance diagram for vtkImageTwoInputFilter:

[legend]
Collaboration diagram for vtkImageTwoInputFilter:

[legend]
List of all members.

## Detailed Description

Generic superclass for filters that have.

Date:
  2002/10/04 20:43:44

Revision:
  1.29

two inputs.

vtkImageTwoInputFilter handles two inputs. It is just a subclass of vtkImageMultipleInputFilter with some methods that are specific to two inputs. Although the inputs are labeled input1 and input2, they are stored in an array indexed starting at 0.

Created by:
  - Law, Charles

CVS contributions (if > 5%):
  - Law, Charles (90%)
  - Martin, Ken (6%)

CVS logs (CVSweb):
  - .`cxx` (`/Filtering/vtkImageTwoInputFilter.cxx)`
  - .`h` (`/Filtering/vtkImageTwoInputFilter.h)`

Definition at line 45 of file vtkImageTwoInputFilter.h.

## Public Types
typedef vtkImageMultipleInputFilter | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
virtual void | SetInput1 (vtkImageData *input)
virtual void | SetInput2 (vtkImageData *input)
vtkImageData * | GetInput1 ()
vtkImageData * | GetInput2 ()
## Static Public Methods
int | IsTypeOf (const char *type)
vtkImageTwoInputFilter * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkImageTwoInputFilter ()
| ~vtkImageTwoInputFilter ()

## Member Typedef Documentation

typedef vtkImageMultipleInputFilter vtkImageTwoInputFilter::Superclass

| Reimplemented from vtkImageMultipleInputFilter. Reimplemented in vtkPushImageFilterSample, vtkImageCheckerboard, vtkImageCorrelation, vtkImageDifference, vtkImageDotProduct, vtkImageLogic, vtkImageMask, vtkImageMathematics, and vtkImageNonMaximumSuppression. Definition at line 48 of file vtkImageTwoInputFilter.h.

## Constructor & Destructor Documentation

vtkImageTwoInputFilter::vtkImageTwoInputFilter | ( |  | ) | `[protected]`

vtkImageTwoInputFilter::~vtkImageTwoInputFilter | ( |  | ) | `[inline, protected]`

| Definition at line 67 of file vtkImageTwoInputFilter.h.

## Member Function Documentation

virtual const char* vtkImageTwoInputFilter::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkImageMultipleInputFilter. Reimplemented in vtkPushImageFilterSample, vtkImageCheckerboard, vtkImageCorrelation, vtkImageDifference, vtkImageDotProduct, vtkImageLogic, vtkImageMask, vtkImageMathematics, and vtkImageNonMaximumSuppression.

int vtkImageTwoInputFilter::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageMultipleInputFilter. Reimplemented in vtkPushImageFilterSample, vtkImageCheckerboard, vtkImageCorrelation, vtkImageDifference, vtkImageDotProduct, vtkImageLogic, vtkImageMask, vtkImageMathematics, and vtkImageNonMaximumSuppression.

virtual int vtkImageTwoInputFilter::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageMultipleInputFilter. Reimplemented in vtkPushImageFilterSample, vtkImageCheckerboard, vtkImageCorrelation, vtkImageDifference, vtkImageDotProduct, vtkImageLogic, vtkImageMask, vtkImageMathematics, and vtkImageNonMaximumSuppression.

vtkImageTwoInputFilter* vtkImageTwoInputFilter::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkImageMultipleInputFilter. Reimplemented in vtkPushImageFilterSample, vtkImageCheckerboard, vtkImageCorrelation, vtkImageDifference, vtkImageDotProduct, vtkImageLogic, vtkImageMask, vtkImageMathematics, and vtkImageNonMaximumSuppression.

void vtkImageTwoInputFilter::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkImageMultipleInputFilter. Reimplemented in vtkPushImageFilterSample, vtkImageCheckerboard, vtkImageCorrelation, vtkImageDifference, vtkImageLogic, vtkImageMask, vtkImageMathematics, and vtkImageNonMaximumSuppression.

virtual void vtkImageTwoInputFilter::SetInput1 | ( | vtkImageData * | input | ) | `[virtual]`

| Set the Input1 of this filter. If a ScalarType has not been set, then the ScalarType of the input is used. Referenced by vtkImageMask::SetImageInput(), vtkImageDifference::SetInput(), and vtkImageNonMaximumSuppression::SetMagnitudeInput().

virtual void vtkImageTwoInputFilter::SetInput2 | ( | vtkImageData * | input | ) | `[virtual]`

| Set the Input2 of this filter. If a ScalarType has not been set, then the ScalarType of the input is used. Referenced by vtkImageDifference::SetImage(), vtkImageMask::SetMaskInput(), and vtkImageNonMaximumSuppression::SetVectorInput().

vtkImageData* vtkImageTwoInputFilter::GetInput1 | ( |  | ) | `[inline]`

| Get the inputs to this filter. Definition at line 61 of file vtkImageTwoInputFilter.h.

vtkImageData* vtkImageTwoInputFilter::GetInput2 | ( |  | ) | `[inline]`

| Get the inputs to this filter. Definition at line 62 of file vtkImageTwoInputFilter.h. Referenced by vtkImageDifference::GetImage().

The documentation for this class was generated from the following file:

- Filtering/vtkImageTwoInputFilter.h